{
  programs.nixvim.keymaps = [
    {
      key = "<ESC>";
      mode = "t";
      action = ''<C-\><C-n>'';
      options.silent = true;
    }
    {
      key = "<A-1>";
      mode = "n";
      action = ":BufferLineGoToBuffer 1<CR>";
    }
    {
      key = "<A-2>";
      mode = "n";
      action = ":BufferLineGoToBuffer 2<CR>";
    }
    {
      key = "<A-3>";
      mode = "n";
      action = ":BufferLineGoToBuffer 3<CR>";
    }
    {
      key = "<A-4>";
      mode = "n";
      action = ":BufferLineGoToBuffer  4<CR>";
    }
    {
      key = "<A-5>";
      mode = "n";
      action = ":BufferLineGoToBuffer 5<CR>";
    }
    {
      key = "<A-6>";
      mode = "n";
      action = ":BufferLineGoToBuffer  6<CR>";
    }
    {
      key = "<A-7>";
      mode = "n";
      action = ":BufferLineGoToBuffer 7<CR>";
    }
    {
      key = "<A-8>";
      mode = "n";
      action = ":BufferLineGoToBuffer 8<CR>";
    }
    {
      key = "<A-9>";
      mode = "n";
      action = ":BufferLineGoToBuffer 9<CR>";
    }
    {
      key = "<A-0>";
      mode = "n";
      action = ":BufferLineGoToBuffer last<CR>";
    }
    {
	key = "<leader>w";
	mode = "n";
	action = "<cmd>bdelete!<cr>";
    }
    {
      key = "<A-S-e>";
      mode = "n";
      action = ":NvimTreeFocus<CR>";
    }
    {
      key = "<A-e>";
      mode = "n";
      action = ":NvimTreeToggle<CR>";
    }
    {
      key = "<C-F>";
      mode = "n";
      action = "<cmd>lua require('conform').format({ async = true, lsp_fallback = true }) <cr>";
    }
    {
      key = "<leader>t";
      mode = "n";
      action = "<cmd>terminal<cr>";
    }
    {
      key = "<leader>ff";
      mode = "n";
      action = ":lua Snacks.picker.files() <cr>";
    }
    {
      key = "<leader>lg";
      mode = "n";
      action = ":lua Snacks.picker.grep() <cr>";
    }
  ];
}
